//********************************************
//* AGlass0fMilk
//* Coded in Torsion
//* It might look messed up to Notepad users
//********************************************

LoadBricks_FileScroll.extent = "310 335"; //Making room for the search bar.

//This is the swatch that darkens the loading scroll if no results are found
$LoadbrickNRSwatch = new GuiSwatchCtrl(LoadBricks_NoResultsSwatch) {
                        profile = "GuiDefaultProfile";
                        horizSizing = "right";
                        vertSizing = "bottom";
                        position = "0 0";
                        extent = "310 335";
                        minExtent = "8 2";
                        visible = "0";
                        color = "50 50 50 128";
};
//This is the text that goes in the swatch if no results are found
$LoadBrickNRText = new GuiMLTextCtrl(LoadBricks_Noresultstxt) {
                           profile = "GuiMLTextProfile";
                           horizSizing = "right";
                           vertSizing = "bottom";
                           position = "24 141";
                           extent = "235 14";
                           minExtent = "8 2";
                           visible = "0";
                           lineSpacing = "2";
                           allowColorChars = "0";
                           maxChars = "-1";
                           text = "Sorry, your search did not return any matches";
                           maxBitmapHeight = "-1";
                           selectable = "1";
};
//This is the Search Bar
$LoadbrickSBarEdit = new GuiTextEditCtrl(LoadBrickSearchBar) {
                        profile = "GuiTextEditProfile";
                        horizSizing = "right";
                        vertSizing = "bottom";
                        position = "15 445";
                        extent = "310 20";
                        minExtent = "8 2";
                        visible = "1";
                        command = "SearchLoadList();";
                        altCommand = "";
                        accelerator = "";
                        maxLength = "255";
                        historySize = "0";
                        password = "0";
                        tabComplete = "0";
                        sinkAllKeyEvents = "0";
                        helpTag = "0";
      };
      
      LoadBricks_FileScroll.add($LoadbrickNRSwatch);
      $LoadbrickNRSwatch.add($LoadBrickNRText);
      LoadBricks_Window.add($LoadbrickSBarEdit);
      
function SearchLoadList()
{
      //I'm going to use some of Ephialtes code from the Macro saver here.
     %Query = $LoadbrickSBarEdit.getValue();
     %List = LoadBricks_FileList;
     %Map = LoadBricks_MapMenu.getText();
     %QueryFile = FindFirstFile("saves/"@%Map@"/*.bls");
     %List.clear();
     while (strlen(%QueryFile) > 0)
	{
		%Name = getSubStr(%QueryFile,strPos(%QueryFile,%Map) + strLen(%Map) + 1,strPos(getSubStr(%QueryFile,strPos(%QueryFile,%Map) + strLen(%Map) + 1,strLen(%QueryFile)),".bls")) TAB getFileModifiedTime(%QueryFile);
		//This will find the real name of the save file
		//The old method that was broken:  strLwr(%Query) $= getSubStr(strLwr(%Name),strlen(%Query),strlen(%Name)) This is incase I want to use it
		if(isValidSaveFile(%QueryFile) && strPos(strLwr(%Name),strLwr(%Query)) >= 0)
		   %List.addRow(%i++,%Name,%i);
		%QueryFile = FindNextFile("saves/"@%Map@"/*.bls");
	}
	if(%List.rowCount() <= 0)
	{
	   $LoadBrickNRSwatch.setVisible(true);
	   $LoadBrickNRText.setVisible(true);
	}
	else
	{
	   $LoadbrickNRSwatch.setVisible(false);
	   $LoadBrickNRText.setVisible(false);
   }
	%List.sort(0,1);
}
//This function is easy enough...
function isValidSaveFile(%file)
{
   if(isFile(%file))
   {
      return 1;
   }
   else
   {
      return 0;
   }
}
     
   
//function getSelectedRow(%Control) This would be nice, but it doesn't work since you don't have to give your list rows ID's
//{
//   %ControlID = %Control.getSelectedID();
//   %RowNum = %Control.getRowNumByID(%ControlID);
//   return %RowNum;
//}